// https://www.npmjs.com/package/mitt 全局事件总线
import mitt, {Emitter} from 'mitt';

// mitt 事件类型定义
declare type MittType = {
    Send?: string; // 加入分组消息
    BsDataShowArea1?: string; // 工单办理
    BsDataShowArea3?: string; // 来电实况
    BsDataShowArea8?: string; // 工单概览
    SeatState?: string; // 坐席监控
    BsSeatStateDataShowArea1?: string; // 24小时话务量
    BsSeatStateDataShowArea2?: string; // 24小时坐席话务top10
    BsSeatStateDataShowArea3?: string; // 24小时坐席话务量数据
    BsSeatStateDataShowArea4?: string; // 数据展示
    ordercountstatistics: string; // 大屏展示 中上工单数量
    orderHandlingDetail: string; // 大屏展示 办理中工单概览
    EnforcementOrderHandlingDetail: string; // 大屏展示 催办中工单概览(司法行政)
};
// 类型
const emitter: Emitter<MittType> = mitt<MittType>();

// 导出
export default emitter;
